> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/retailers/{retailerId}/compute-display-min-bid

> Computes the min bid for relevant page types based on the provided information



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/retailers/{retailerId}/compute-display-min-bid
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/retailers/{retailerId}/compute-display-min-bid:
    post:
      tags:
        - Campaign
      summary: /preview/retail-media/retailers/{retailerId}/compute-display-min-bid
      description: >-
        Computes the min bid for relevant page types based on the provided
        information
      operationId: ComputeDisplayMinBidByRetailerId
      parameters:
        - name: retailerId
          in: path
          description: The retailer id
          required: true
          schema:
            type: string
            format: int32
      requestBody:
        description: >-
          The details for what creatives and product ids to use to compute the
          min bids
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ValueResourceInputDisplayAuctionMinBidRequest
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ValueResourceCollectionOutcomeDisplayAuctionMinBidResult
      security:
        - oauth:
            - RetailMedia_Campaign_Read
components:
  schemas:
    ValueResourceInputDisplayAuctionMinBidRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ValueResourceDisplayAuctionMinBidRequest'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    ValueResourceCollectionOutcomeDisplayAuctionMinBidResult:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ValueResourceDisplayAuctionMinBidResult'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/SdkApiRestCommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        value objects.
    ValueResourceDisplayAuctionMinBidRequest:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/DisplayAuctionMinBidRequest'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    ValueResourceDisplayAuctionMinBidResult:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/DisplayAuctionMinBidResult'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    SdkApiRestCommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s).
          nullable: true
        stackTrace:
          type: string
          description: ''
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type.
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      additionalProperties: false
      description: Common problem object.
    DisplayAuctionMinBidRequest:
      type: object
      properties:
        creativeIds:
          maxItems: 50
          minItems: 1
          type: array
          items:
            type: string
          description: List of Creatives to use
        productIds:
          maxItems: 50
          type: array
          items:
            type: string
          description: List of potential product ids (SkuIds) to put in creatives
          nullable: true
      additionalProperties: false
      description: >-
        Represents the list of creatives and respective product IDs to compute
        min bid for.
    DisplayAuctionMinBidResult:
      type: object
      properties:
        creativeId:
          type: string
          description: The creativeId for the creative
          nullable: true
        minBid:
          type: number
          description: >-
            The minimum bid for the combination of page type, creative and
            categories
          format: double
          nullable: true
        pageType:
          enum:
            - unknown
            - search
            - home
            - checkout
            - category
            - productDetail
            - confirmation
            - merchandising
            - deals
            - favorites
            - searchBar
            - categoryMenu
          type: string
          description: Page type for the creative to display on
          nullable: true
      additionalProperties: false
      description: Represents the min bid for a pageType and creative combination.
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````